Create a new list of persons

POST /person/list/create


Description

The method creates a new list of user persons. JWT token is required in the header for access.


Request format

  • HTTP method: POST
  • URL: /person/list/create
  • Content type: application/json
  • Authorization: required

Query Parameters

ParameterTypeWhere passedRequiredDescription
tokenstringHeaderUser’s JWT token

Request Body (JSON)

FieldTypeRequiredDescription
tokenstringUser’s JWT token
namestringName of the new list
list_idstringList identifier (optional)

Example Request (cURL)

curl -X POST "https://api.neuro-vision.ru/v1/person/list/create" 
  -H "Content-Type: application/json" 
  -H "Authorization: Bearer jwt.temporary.token" 
  -d '{
    "token": "jwt.temporary.token",
    "name": "Colleagues",
    "list_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  }'

Example Answers

Success (200 OK)
{
  "status": "ok"
}
Error (400 Bad Request)
{
  "message": "invalid schema",
  "status": "error"
}
Error (401 Unauthorized)
{
  "message": "access denied",
  "status": "error"
}
Error (404 Not Found)
{
  "message": "item with this id does not found",
  "status": "error"
}